import { ValidationPipe } from '@nestjs/common'
import { NestFactory } from '@nestjs/core'

import { AppModule } from './app.module'

async function bootstrap() {
  const app = await NestFactory.create(AppModule)
  app.enableCors({
    origin: '*'
  })
  app.setGlobalPrefix('webserver')
  app.useGlobalPipes(
    new ValidationPipe({
      whitelist: true, // 过滤掉请求参数中未定义的属性
      transform: true, // 将请求参数转换为指定的类型
      // forbidNonWhitelisted: true, // 如果请求参数中存在未定义的属性，则抛出异常
      transformOptions: {
        enableImplicitConversion: true // 启用隐式转换
      }
    })
  )
  await app.listen(3000, '0.0.0.0')
}
bootstrap()
