import { HttpModule } from '@nestjs/axios'
import { Module } from '@nestjs/common'

import { AgentServerController } from './agent-server.controller'
import { AgentServerHttpService } from './service/agent-server-http.service'
import { AgentServerService } from './service/agent-server.service'

@Module({
  imports: [
    HttpModule.register({
      timeout: 600000,
      maxRedirects: 3
    })
  ],
  controllers: [AgentServerController],
  providers: [AgentServerHttpService, AgentServerService]
})
export class AgentServerModule {}
