type AgentServerResponseType<T> = {
  code: number
  msg: string
  data: T
}

type StaffsType = {
  agent_name: string
  name: string
  third_party_user_id: string
  wxid: string
}

type StaffProfile = {
  staff_id: string
  name: string
}

type UserProfile = {
  gender: number
  iconurl: string
  name: string
  third_party_user_id: string
  wxid: string
}

type DialogueHistory = {
  role: string
  timestamp: number
  content: string
}

type Model = {
  model_id: string
  model_name: string
  display_name: string
}

type Scene = {
  scene: string
  display_name: string
}

type BasePrompt = {
  model_name: string
  content: string
}

interface UserInfo extends UserProfile {
  history: DialogueHistory[]
}
